Subject: Re: [PATCH v5 2/3] NFSD: convert write_version to netlink command

From: Jakub Kicinski <[email-masked]>
Date: Thu, 30 Nov 2023 23:28:22 -0800

On Thu, 30 Nov 2023 11:32:17 +0100 Lorenzo Bianconi wrote:
> > u8? I guess...  
> 
> here we need just 0 or 1 I would say. Do you suggest create something like an
> enum?

Ah, sorry, thought I must have already complained to you about this 
in the past - netlink aligns everything to 4B. So u8 or u16 or u32
it's all the same size at the message level. For the <u32 types some
bytes are just treated as padding instead of being useful.

But if you explicitly need only 0/1 then it doesn't matter.